Subject: Re: [core] Zaheduzzaman Sarker's Discuss on draft-ietf-core-sid-16: (with DISCUSS and COMMENT)

From: Carsten Bormann <[email-masked]>
Date: Fri, 29 Oct 2021 20:45:00 +0200

[Duplicate copy because of mail weirdness:]

Hi Zahed,

it took us a while to process the DISCUSS positions and COMMENTS on core-sid.
We didn’t quite finish before the I-D deadline, but did submit a -17.
Link to diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-core-sid-17.txt

> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> 
> This should be very easy to resolve and I want to make sure that we understand
> the situation here better -
> 
> *Section 3 : says -
> 
>  "The creation of this new version of the ".sid" file
> SHOULD be performed using an automated tool"
> 
> If this is supposed to be the automation process written in appendix B then
> putting a reference here makes sense. If not, then as this is very important
> tool, more information need to be added here in this specification (like,
> where to find it, who create and maintains it, any reference to such an
> existing tools). Also I am missing what consequences one need to consider if
> the process is not automated. If this is same as written in the introduction -
> 
> "Assignment of SIDs to YANG items can be automated.  For more details
> how this can be achieved, please consult Appendix B."
> 
> Then we have two kind of instructions for the same thing - "can be" and a
> normative "SHOULD". Hence it need to be clarified which one should prevail.

Indeed.  We have converged on SHOULD.  -17 says:

(Intro:)
 Assignment of SIDs to YANG items SHOULD be automated.  For more
 details how this can be achieved, and when manual interventions may
 be appropriate, see Appendix B.
 […]
 At the time of writing, a tool for automated SID file generation is
 available as part of the open-source project PYANG [PYANG].

(Informative References:)
 [PYANG]    Bjorklund, M., "An extensible YANG validator and converter
            in python", <https://github.com/mbj4668/pyang>.

(Appendix B:)
 Assignment of SIDs to YANG items SHOULD be automated.  The
 recommended process to assign SIDs is as follows: […]

> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thanks for the efforts in this document.
> 
> * I support Robert Wilton's Discuss and Benjamin Kaduk's discuss no.2

We will address these in separate emails.

> One more clarification comment -
> 
> * Section 7.5.2: says -
> 
>  "  The
> maximum SID range size is 1000.  A larger size may be requested by
> the authors if this recommendation is considered insufficient.  It is
> important to note that an additional SID range can be allocated to an
> existing YANG module if the initial range is exhausted."
> 
> I have hard time understanding the mentioning of the maximum SID range here.
> does this mean this document sets the maximum range to 1000 but others can
> have more? please clarify.

This text was indeed a bit clumsy.
It now says:

 The
 SID range size SHOULD NOT exceed 1000; a larger size may be requested
 by the authors if this recommendation is considered insufficient.  It
 is important to note that an additional SID range can be allocated to
 an existing YANG module if the initial range is exhausted; this then
 just leads to slightly less efficient representation.

Grüße, Carsten